This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 358671 - intel video suspend/resume - requires VT switch to restore X
intel video suspend/resume - requires VT switch to restore X
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
7
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
: 312901 389541 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-30 13:30 EDT by Michael E Brown
Modified: 2013-03-05 22:53 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:48:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
this is the xorg.conf (1.24 KB, application/octet-stream)
2007-10-30 21:34 EDT, Michael E Brown
no flags Details
Xorg.0.log from before suspend (41.36 KB, text/plain)
2007-10-30 21:34 EDT, Michael E Brown
no flags Details
Xorg.0.log from after resume (44.38 KB, text/plain)
2007-10-30 21:35 EDT, Michael E Brown
no flags Details

  None (edit)
Description Michael E Brown 2007-10-30 13:30:28 EDT
Description of problem:

Dell D620 using 'intel' video driver. When resuming from suspend, X will not
come back up until you switch to a text console and back, eg. <ALT>-F1, then
<ALT>-F7. (even though text mode console doesnt actually work: see BZ# 358631)

The driver displays a funkadelic screen with interesting vertical green lines
everywhere.

Works ok with 'i810' driver.

Version-Release number of selected component (if applicable):

xorg-x11-drv-i810- 2.0.0-4.fc7.x86_64

How reproducible:

every time

Steps to Reproduce:
1. suspend
2. resume
3.
  
Actual results:

not X

Expected results:

X

Additional info:

Dell D620 with core2 duo processor running SMP

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS, 943/940GML
Express Integrated Graphics Controller (rev 03)

Linux duo 2.6.22.9-91.fc7 #1 SMP Thu Sep 27 20:47:39 EDT 2007 x86_64 x86_64
x86_64 GNU/Linux


The moon is 2160 miles in diameter.
Comment 1 Michael E Brown 2007-10-30 21:34:18 EDT
Created attachment 243981 [details]
this is the xorg.conf

The issue cannot be reproduced without an xorg.conf because the system defaults
to 'i810' driver.
Comment 2 Michael E Brown 2007-10-30 21:34:51 EDT
Created attachment 243991 [details]
Xorg.0.log from before suspend
Comment 3 Michael E Brown 2007-10-30 21:35:37 EDT
Created attachment 244001 [details]
Xorg.0.log from after resume
Comment 4 Michael E Brown 2007-10-30 21:36:50 EDT
Comment on attachment 243991 [details]
Xorg.0.log from before suspend

obsolete because description shows up wrong in comment list...
Comment 5 Michael E Brown 2007-11-02 12:34:31 EDT
fixed by:

pm-suspend --quirk-vbe-post

Looks like this needs to be added to the quirks list for this machine? (Latitude
D620 with intel 945 video)
Comment 6 Michael E Brown 2007-11-07 23:12:50 EST
cloned the upstream git repo per
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-report.html

The upstream repository appears to already have these quirks. When is the next
update going to be released with this patch?
Comment 7 Matěj Cepl 2007-11-08 06:57:11 EST
Changing component to people who are responsible for maintaining the quirks.
Comment 9 Matěj Cepl 2007-12-11 05:17:07 EST
*** Bug 312901 has been marked as a duplicate of this bug. ***
Comment 10 Brennan Ashton 2008-02-24 18:08:57 EST
Same problem, but that quirk does not work for me, intel 945 video as well. I
can get the console back with --quirk-vbemode-restore. When I use the post,
nothing changes and i get a lot of "enters" in the terminal.
Comment 11 Kyrre Ness Sjøbæk 2008-02-25 11:07:12 EST
(In reply to comment #10)
> Same problem, but that quirk does not work for me, intel 945 video as well. I
> can get the console back with --quirk-vbemode-restore. When I use the post,
> nothing changes and i get a lot of "enters" in the terminal.


Enter-bug: See
https://bugzilla.redhat.com/show_bug.cgi?id=417091
Comment 12 Matěj Cepl 2008-02-25 16:42:41 EST
*** Bug 389541 has been marked as a duplicate of this bug. ***
Comment 13 Matěj Cepl 2008-02-25 16:43:47 EST
There is tone of information in bug 389541 which was closed as duplicate of this
bug.
Comment 14 Thomas J. Baker 2008-02-25 17:32:12 EST
I'm not sure this is really a duplicate of 389541 as for me on a Dell M1330 with
intel hardware after resuming, X is fine, it's just the brightness is low.
Changing to VT1 and back restores the brightness.
Comment 15 Matěj Cepl 2008-02-26 09:38:20 EST
Reporter, is this really different from your experience?
Comment 16 Brian Powell 2008-04-25 00:48:59 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.
Comment 17 Kyrre Ness Sjøbæk 2008-04-25 03:46:49 EDT
I have manualy pached my quirks-file, so it works-for-me (now) - but has the
patch from upstream trickled down to fedora?
Comment 18 Thomas J. Baker 2008-04-25 10:08:33 EDT
Care to share the patch? I know it's not fixed in F8 as my wife's 1330 still has
the problem.
Comment 19 Sergio Monteiro Basto 2008-04-25 14:50:56 EDT
with kernel-2.6.24.4-64.fc8 and last intel drive (from gits) , works for me 
Comment 20 Kyrre Ness Sjøbæk 2008-04-27 06:56:25 EDT
(In reply to comment #18)
> Care to share the patch? I know it's not fixed in F8 as my wife's 1330 still has
> the problem.

In /usr/share/hal/fdi/information/10freedesktop, edit the file
20-video-quirk-pm-dell.fdi

I added this <match> tag:
<match key="system.hardware.product" contains="D520">
    <merge key="power_management.quirk.vbe_post" type="bool">true</merge>
</match>

You should match the model and/or make of the computer correctly, but this is
how you do it. Also check that you are using the right (combination) of quirks
first. The possible quirks may be found at:
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-try.html
Also see:
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-report.html

Restarted hal (maybe rebooted?), and it worked.

Good luck!

Note You need to log in before you can comment on or make changes to this bug.